/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: Params.java ofabre$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.bc.ejb.model;

import java.util.ArrayList;
import java.util.List;

/**
 * 
 * @author ofabre - eBM Websourcing
 * 
 */
public class Params {

    private List<Class> types;

    private List<Object> params;

    public Class[] getTypes() {
        return types.toArray(new Class[0]);
    }

    public Object[] getParams() {
        return params.toArray(new Object[0]);
    }

    public void addParam(Object object) {
        if (params == null) {
            params = new ArrayList<Object>();
        }
        params.add(object);
    }

    public void addParamType(Class clazz) {
        if (types == null) {
            types = new ArrayList<Class>();
        }
        types.add(clazz);
    }

}
